Project

General

Profile

Tâche #27616

Scénario #27543: Traitement express MEN (18-20)

Si CreoleCat plante dans bastion.sh, il n'y a pas forcement d'erreur visible

Added by Emmanuel GARETTE about 2 years ago. Updated almost 2 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
04/04/2019
Due date:
% Done:

100%

Remaining (hours):
0.0

Description

Proposition de correction :

diff --git a/era/bastion.sh b/era/bastion.sh
index 8df91ed..361f991 100755
--- a/era/bastion.sh
+++ b/era/bastion.sh
@@ -115,10 +115,12 @@ fi
 ## authentification nufw
 # instanciation "manuelle" du script de firewall
 CreoleCat -s ${EOLE_DIR}/firewall.tmpl -o /sbin/lance.firewall
-if [ $use_iptables_restore = "oui" ]; then
+ret_code=$?
+if [ $ret_code = 0 ] && [ $use_iptables_restore = "oui" ]; then
     CreoleCat -s ${EOLE_DIR}/iptables.tmpl -o ${EOLE_DIR}/iptables
+    ret_code=$?
 fi
-if [ $? -eq 0 ];then
+if [ $ret_code -eq 0 ];then
     # attribution des droits au fichier lance.firewall
     chmod 700 /sbin/lance.firewall
 else

Associated revisions

Revision fad8a713 (diff)
Added by Joël Cuissinat almost 2 years ago

Add "exit 1" on a CreoleCat error

Ref: #27616

History

#1 Updated by Joël Cuissinat almost 2 years ago

  • Parent task set to #27543

#2 Updated by Joël Cuissinat almost 2 years ago

NB : la variable use_iptables_restore a été introduite à partir d'EOLE 2.7.0

#3 Updated by Joël Cuissinat almost 2 years ago

  • Status changed from Nouveau to En cours
  • Assigned To set to Joël Cuissinat

#4 Updated by Joël Cuissinat almost 2 years ago

Avec un petit hack du fichier firewall.tmpl juste avant le CreoleCat, ça donne :

root@amon:~# /usr/share/eole/posttemplate/00-eole-common 
Génération des règles de pare-feu (modèle "4zones")root - Erreur: Utilisation d'une variable non existante dans le template de /sbin/lance.firewall : toto

Activation du mode forteresse sur ens4
Activation du mode forteresse sur ens5
Activation du mode forteresse sur ens6
Activation du mode forteresse sur ens7
Le serveur est protégé. Pour relancer le pare-feu, exécuter "CreoleService bastion restart" 

La cible serait plutôt :

root@amon:~# /usr/share/eole/posttemplate/00-eole-common 
Génération des règles de pare-feu (modèle "4zones")root - Erreur: Utilisation d'une variable non existante dans le template de /sbin/lance.firewall : toto
non appliquées !
Erreur à la génération des règles de pare-feu

#5 Updated by Joël Cuissinat almost 2 years ago

  • % Done changed from 0 to 100

Corrigé pour EOLE>=2.7.0

#6 Updated by Scrum Master almost 2 years ago

  • Status changed from En cours to Résolu

#7 Updated by Laurent Flori almost 2 years ago

  • Status changed from Résolu to Fermé
  • Remaining (hours) set to 0.0

Also available in: Atom PDF